Subject: 23.1 creates a very large initial frame in fvwm

From: Glenn Morris <[email-masked]>
Date: Tue, 25 Aug 2009 22:32:14 -0400

I don't normally use fvwm, but this problem was pointed out to me.

This is on a RHEL5 system, using FVWM 2.4.20. It applies to both 23.1
and the current trunk, when built with the gtk toolkit. It does not
happen with the lucid toolkit. A gtk Emacs 22.3 does not have this issue.

The symptoms are that

emacs -Q

opens a very big initial frame, _much_ wider and taller than the size
of the desktop. After this, M-x make-frame creates normal-sized frames.

Using something like

emacs -Q -geometry 20x10

does not help. It looks as if the initial frame is very briefly at the
correct size, but then jumps to the much larger size. 22.3, or 23.1
with the lucid toolkit, do respect the geometry option.